MONGOC_STREAM_FILE_NEW(3)

NAME
mongoc_stream_file_new - mongoc_stream_file_new()

SYNOPSIS

        mongoc_stream_t *
        mongoc_stream_file_new (int fd);

PARAMETERS

    •   fd: A UNIX style file-descriptor.

Creates a new mongoc_stream_file_t using the file-descriptor provided.

RETURNS

NULL upon failure, otherwise a newly allocated mongoc_stream_file_t that should be freed with mongoc_stream_destroy() when no longer in use.

errno is set upon failure.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc